Skip to content

/api/v1/facilities/{facilityId}/inventory/cycle-counts/{id}/approve

POST
/api/v1/facilities/{facilityId}/inventory/cycle-counts/{id}/approve
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inventory/cycle-counts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "note": "example" }'
facilityId
required
string format: uuid
id
required
string format: uuid
object
note
string
nullable

Example generated

{
"note": "example"
}

OK

object
count
required
object
id
required
string format: uuid
facilityId
required
string format: uuid
number
required
string
locationId
required
string format: uuid
locationCode
required
string
origin
required
string
Allowed values: Planned Anomaly Manual
status
required
string
Allowed values: Open PendingReview Closed Cancelled
outcome
required
string
nullable
Allowed values: Matched Adjusted Recounted Cancelled
planId
required
string format: uuid
nullable
triggerTransactionId
required
string format: uuid
nullable
triggerNote
required
string
nullable
note
required
string
nullable
recountOfId
required
string format: uuid
nullable
countedBy
required
string
nullable
countedAt
required
string format: date-time
nullable
reviewedBy
required
string
nullable
reviewedAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
transaction
required
object
transactionId
required
string format: uuid
facilityId
required
string format: uuid
type
required
string
Allowed values: Receipt Adjustment Move Hold Release Pick Issue
reasonCode
required
string
nullable
Allowed values: Shrinkage Damage Discovered Found Correction CycleCount
reference
required
string
nullable
note
required
string
nullable
occurredAt
required
string format: date-time
lines
required
Array<object>
object
lineNumber
required
integer format: int32
productId
required
string format: uuid
sku
required
string
fromPositionId
required
string format: uuid
nullable
fromLocationId
required
string format: uuid
nullable
fromLocationCode
required
string
nullable
fromLpnId
required
string format: uuid
nullable
fromLpnCode
required
string
nullable
fromStatus
required
string
nullable
Allowed values: Available Quarantine Damaged
toPositionId
required
string format: uuid
nullable
toLocationId
required
string format: uuid
nullable
toLocationCode
required
string
nullable
toLpnId
required
string format: uuid
nullable
toLpnCode
required
string
nullable
toStatus
required
string
nullable
Allowed values: Available Quarantine Damaged
lotNumber
required
string
nullable
serial
required
string
nullable
expiryDate
required
string format: date
nullable
receivedOn
required
string format: date
quantity
required
integer format: int32
positions
required
Array<object>
object
positionId
required
string format: uuid
facilityId
required
string format: uuid
locationId
required
string format: uuid
locationCode
required
string
lpnId
required
string format: uuid
nullable
lpnCode
required
string
nullable
productId
required
string format: uuid
sku
required
string
lotNumber
required
string
nullable
serial
required
string
nullable
expiryDate
required
string format: date
nullable
receivedOn
required
string format: date
stockStatus
required
string
Allowed values: Available Quarantine Damaged
quantity
required
integer format: int32
allocatedQuantity
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable